import { HTMLAttributes, HTMLBlockquoteAttributes, SVGAttributes } from 'svelte/elements';
import { SvelteUIColor, SvelteUINumberSize } from '../../styles';
import { TextProps } from '../Text/Text';

type BaseProps = TextProps<HTMLElement> & HTMLBlockquoteAttributes;

export interface BlockquoteProps extends BaseProps {
	icon?: Component | HTMLOrSVGElement;
	iconSize?: SvelteUINumberSize;
	color?: SvelteUIColor;
}

export interface QuoteIconProps extends HTMLAttributes<SVGAttributes> {}
